## knews 1.0b.1

=== debian/changelog ===
knews (1.0b.1-39) unstable; urgency=medium

  * Apply X-Style: black.
  * Add Catalan debconf translation (thanks, poc senderi).

 -- Colin Watson <cjwatson@debian.org>  Sun, 23 Mar 2025 15:25:51 +0000

knews (1.0b.1-38) unstable; urgency=medium

  * Fix build failures with GCC 14 (closes: #1075114):
    - Don't return without an expression in a function returning int.
    - Fix type of argument to png_destroy_read_struct.

 -- Colin Watson <cjwatson@debian.org>  Wed, 03 Jul 2024 15:25:34 +0100

knews (1.0b.1-37) unstable; urgency=medium

  * Add missing #includes (closes: #1066692).

 -- Colin Watson <cjwatson@debian.org>  Wed, 13 Mar 2024 14:23:02 +0000

knews (1.0b.1-36) unstable; urgency=medium

  * Fix escaping of line-initial apostrophes in man page.
  * Fix various spelling errors.
  * Set Rules-Requires-Root: no.

 -- Colin Watson <cjwatson@debian.org>  Tue, 26 Dec 2023 16:39:07 +0000

knews (1.0b.1-35) unstable; urgency=medium

  * Split up Debian patches.

 -- Colin Watson <cjwatson@debian.org>  Sat, 17 Dec 2022 19:16:44 +0000

knews (1.0b.1-34.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to 3.0 source format.

 -- Bastian Germann <bage@debian.org>  Fri, 02 Dec 2022 19:04:56 +0100

knews (1.0b.1-34) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch:
    + knews: Drop versioned constraint on debconf in Depends.

  [ Colin Watson ]
  * Convert several debconf translations to UTF-8.

 -- Colin Watson <cjwatson@debian.org>  Sun, 26 Dec 2021 01:48:40 +0000

knews (1.0b.1-33) unstable; urgency=medium

  [ Colin Watson ]
  * Use debhelper-compat instead of debian/compat.

  [ Debian Janitor ]
  * Bump debhelper from old 9 to 12.

 -- Colin Watson <cjwatson@debian.org>  Mon, 08 Feb 2021 21:47:39 +0000

knews (1.0b.1-32) unstable; urgency=medium

  * Move VCS to salsa.debian.org.
  * Depend on sensible-utils.

 -- Colin Watson <cjwatson@debian.org>  Sat, 27 Oct 2018 21:47:07 +0100

knews (1.0b.1-31) unstable; urgency=medium

  * Use HTTPS for Vcs-* URLs.
  * Build with all hardening options.
  * Upgrade to debhelper v9.
  * Policy version 3.9.6: no changes required.

 -- Colin Watson <cjwatson@debian.org>  Wed, 27 Jan 2016 12:26:37 +0000

knews (1.0b.1-30) unstable; urgency=medium

  * Update Vcs-Browser URL for alioth cgit.
  * Simplify debian/rules using /usr/share/dpkg/buildflags.mk.
  * Run "xmkmf -a" from override_dh_auto_configure rather than
    override_dh_auto_build.
  * Add Italian debconf translation (thanks, Beatrice Torracca; closes:
    #778382).
  * Don't build the compilation date and time into the binary.  This made
    the build unreproducible.

 -- Colin Watson <cjwatson@debian.org>  Sat, 14 Mar 2015 00:23:42 +0000

knews (1.0b.1-29) unstable; urgency=medium

  * Switch to git; add Vcs-* fields.
  * Policy version 3.9.5: no changes required.

 -- Colin Watson <cjwatson@debian.org>  Mon, 27 Jan 2014 22:58:06 +0000

knews (1.0b.1-28) unstable; urgency=low

  * Rebuild in a clean unstable chroot to avoid pulling in experimental's
    libpng15-15.

 -- Colin Watson <cjwatson@debian.org>  Wed, 07 Mar 2012 10:02:21 +0000

knews (1.0b.1-27) unstable; urgency=low

  * Build-depend on libpng-dev rather than libpng12-dev (closes: #662389).

 -- Colin Watson <cjwatson@debian.org>  Mon, 05 Mar 2012 09:44:00 +0000

knews (1.0b.1-26) unstable; urgency=low

  * Adjust debhelper build-dependency to allow for backports.
  * Build-Depend on libjpeg-dev rather than libjpeg62-dev.
  * Fix undersized args array in action_tree_layout.
  * Use strcpy instead of sprintf in fork_editor in the case where neither
    %s nor %i is present in editcmd, to avoid an error under
    -Werror=format-security.
  * Use dpkg-buildflags to set default compiler flags.

 -- Colin Watson <cjwatson@debian.org>  Tue, 27 Sep 2011 01:12:04 +0100

knews (1.0b.1-25) unstable; urgency=low

  [ Nobuhiro Iwamatsu ]
  * Fix build failure with libpng 1.5 (closes: #635949).

 -- Colin Watson <cjwatson@debian.org>  Sat, 30 Jul 2011 09:50:01 +0100

knews (1.0b.1-24) unstable; urgency=low

  * Add Russian debconf translation (thanks, Yuri Kozlov; closes: #513508).
  * Upgrade to debhelper v7.

 -- Colin Watson <cjwatson@debian.org>  Fri, 14 Aug 2009 22:17:20 +0100

knews (1.0b.1-23) unstable; urgency=low

  * Build-depend on xutils-dev rather than xutils (thanks, Daniel Schepler;
    closes: #485206).
  * Use \e rather than \\ in man page, partly because that's more correct
    anyway and partly to avoid cpp backslash-newline translation.
  * Build-depend on x11proto-core-dev rather than x-dev (thanks, Lintian).
  * Refer to /usr/share/common-licenses/GPL-2 in debian/copyright rather
    than plain GPL.
  * Update DEB_BUILD_OPTIONS parsing code from policy 3.8.0.
  * Policy version 3.8.0.

 -- Colin Watson <cjwatson@debian.org>  Sun, 08 Jun 2008 21:24:21 +0100

knews (1.0b.1-22) unstable; urgency=low

  * Add Portuguese debconf translation (thanks, Rui Branco;
    closes: #414144).
  * Update Spanish debconf translation (thanks, Carlos Galisteo de Cabo;
    closes: #424606).
  * Drop source-compatibility with woody.
  * Replace null characters in articles with spaces (thanks, Dick
    Streefland; closes: #227259).
  * Update to menu structure from menu 2.1.35.

 -- Colin Watson <cjwatson@debian.org>  Mon, 12 Nov 2007 11:02:05 +0000

knews (1.0b.1-21) unstable; urgency=low

  * Simplify state machine in config script, avoiding a bashism.
  * Add Vietnamese debconf translation (thanks, Clytie Siddall;
    closes: #314269).
  * Add Swedish debconf translation (thanks, Daniel Nylander;
    closes: #333406).
  * Update Spanish debconf translation (thanks, Carlos Galisteo de Cabo;
    closes: #323382).
  * Use debhelper v4.
  * Update FSF address in debian/copyright.
  * Policy version 3.7.2.

 -- Colin Watson <cjwatson@debian.org>  Sat, 28 Oct 2006 08:52:19 +0100

knews (1.0b.1-20) unstable; urgency=low


