=== debian/control ===
Source: knews
Maintainer: Colin Watson <cjwatson@debian.org>
Section: news
Priority: optional
Standards-Version: 3.9.6
Build-Depends:
 bison,
 debhelper-compat (= 13),
 dpkg-dev (>= 1.16.1~),
 libice-dev,
 libjpeg-dev,
 libpng-dev,
 libsm-dev,
 libx11-dev,
 libxmu-dev,
 libxpm-dev,
 libxt-dev,
 x11proto-core-dev,
 xutils-dev,
 zlib1g-dev,
Vcs-Git: https://salsa.debian.org/debian/knews.git
Vcs-Browser: https://salsa.debian.org/debian/knews
Rules-Requires-Root: no
X-Style: black

Package: knews
Architecture: any
Depends:
 sensible-utils,
 sharutils,
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 news-reader,
Description: Graphical threaded news reader
 Knews is an X11 based thread-oriented news reader.  It is capable of
 representing threads as a graphical tree, represents quotations with
 different colors and much more.
 .
 Also included here is knewsd, a tiny NNTP daemon which can read news
 from a spool directory or even from a mail folder hierarchy, for use
 when you don't have a real server available.  There is no guarantee
 that it will work with any client other than knews, so it is not
 packaged separately.
