=== debian/rules ===
#! /usr/bin/make -f
%:
	dh $@

dtmp=$(CURDIR)/debian/knews

export DEB_BUILD_MAINT_OPTIONS := hardening=+all
export DEB_CFLAGS_MAINT_PREPEND := -Wall
include /usr/share/dpkg/buildflags.mk

override_dh_auto_configure:
	xmkmf -a

override_dh_auto_build:
	$(MAKE) CDEBUGFLAGS="$(CFLAGS)" \
		PROJECT_DEFINES="$(CPPFLAGS)" \
		EXTRA_LDOPTIONS="$(LDFLAGS)"

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) clean squeaky

override_dh_auto_install:
	$(MAKE) DESTDIR=$(dtmp) BINDIR=/usr/bin install
	$(MAKE) DESTDIR=$(dtmp) MANPATH=/usr/share/man MANSUFFIX=1 install.man

override_dh_installdocs:
	dh_installdocs
	install -m644 util/knewsd/README \
		      $(dtmp)/usr/share/doc/knews/README.knewsd
